Package org.springframework.security.cas

# Class ServiceProperties

java.lang.Object
org.springframework.security.cas.ServiceProperties

All Implemented Interfaces:
  `org.springframework.beans.factory.InitializingBean`

Direct Known Subclasses:
  `SamlServiceProperties`

public class ServiceProperties extends Object implements org.springframework.beans.factory.InitializingBean
Stores properties related to this CAS service.

Each web application capable of processing CAS tickets is known as a service. This class stores the properties that are relevant to the local CAS service, being the application that is being secured by Spring Security.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DEFAULT_CAS_ARTIFACT_PARAMETER`
`static final String`
`DEFAULT_CAS_SERVICE_PARAMETER`

## Constructor Summary

Constructors
Constructor
Description
`ServiceProperties()`

## Method Summary

Modifier and Type
Method
Description
`void`
`afterPropertiesSet()`
`final String`
`getArtifactParameter()`
`final String`
`getService()`
Represents the service the user is authenticating to.
`final String`
`getServiceParameter()`
Configures the Request parameter to look for when attempting to send a request to CAS.
`final boolean`
`isAuthenticateAllArtifacts()`
`final boolean`
`isSendRenew()`
Indicates whether the `renew` parameter should be sent to the CAS login URL and CAS validation URL.
`final void`
`setArtifactParameter(String artifactParameter)`
Configures the Request Parameter to look for when attempting to see if a CAS ticket was sent from the server.
`final void`
`setAuthenticateAllArtifacts(boolean authenticateAllArtifacts)`
If true, then any non-null artifact (ticket) should be authenticated.
`final void`
`setSendRenew(boolean sendRenew)`
`final void`
`setService(String service)`
`final void`
`setServiceParameter(String serviceParameter)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### DEFAULT_CAS_ARTIFACT_PARAMETER

public static final String DEFAULT_CAS_ARTIFACT_PARAMETER

See Also:
  - Constant Field Values

### DEFAULT_CAS_SERVICE_PARAMETER

public static final String DEFAULT_CAS_SERVICE_PARAMETER

See Also:
  - Constant Field Values

## Constructor Details

### ServiceProperties

public ServiceProperties()

## Method Details

### afterPropertiesSet

public void afterPropertiesSet()

Specified by:
  `afterPropertiesSet` in interface `org.springframework.beans.factory.InitializingBean`

### getService

public final String getService()
Represents the service the user is authenticating to.

This service is the callback URL belonging to the local Spring Security System for Spring secured application. For example,

     https://www.mycompany.com/application/login/cas

Returns:
  the URL of the service the user is authenticating to

### isSendRenew

public final boolean isSendRenew()
Indicates whether the `renew` parameter should be sent to the CAS login URL and CAS validation URL.

If `true`, it will force CAS to authenticate the user again (even if the user has previously authenticated). During ticket validation it will require the ticket was generated as a consequence of an explicit login. High security applications would probably set this to `true`. Defaults to `false`, providing automated single sign on.

Returns:
  whether to send the `renew` parameter to CAS

### setSendRenew

public final void setSendRenew(boolean sendRenew)

### setService

public final void setService(String service)

### getArtifactParameter

public final String getArtifactParameter()

### setArtifactParameter

public final void setArtifactParameter(String artifactParameter)
Configures the Request Parameter to look for when attempting to see if a CAS ticket was sent from the server.

Parameters:
  `artifactParameter` - the id to use. Default is "ticket".

### getServiceParameter

public final String getServiceParameter()
Configures the Request parameter to look for when attempting to send a request to CAS.

Returns:
  the service parameter to use. Default is "service".

### setServiceParameter

public final void setServiceParameter(String serviceParameter)

### isAuthenticateAllArtifacts

public final boolean isAuthenticateAllArtifacts()

### setAuthenticateAllArtifacts

public final void setAuthenticateAllArtifacts(boolean authenticateAllArtifacts)
If true, then any non-null artifact (ticket) should be authenticated. Additionally, the service will be determined dynamically in order to ensure the service matches the expected value for this artifact.

Parameters:
  `authenticateAllArtifacts` -